#--
# Ruby Whois
#
# An intelligent pure Ruby WHOIS client and parser.
#
# Copyright (c) 2009-2015 Simone Carletti <weppos@weppos.net>
#++


require 'whois/record/parser/base_afilias'


module Whois
  class Record
    class Parser

      # Parser for the whois.dotproregistry.net server.
      #
      # @see Whois::Record::Parser::Example
      #   The Example parser for the list of all available methods.
      #
      class WhoisDotproregistryNet < BaseAfilias

        property_supported :status do
          if reserved?
            :reserved
          else
            super()
          end
        end

        # NEWPROPERTY
        def reserved?
          !!content_for_scanner.match(/Governmental Reserved Name/)
        end

      end

    end
  end
end
